Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.plugins.web.taglib
[Groovy] Interface JavascriptProvider

    interface JavascriptProvider

Defines methods that a JavaScript provider must implement.

Authors:
  Graeme Rocher

Method Summary
`java.lang.Object` | `doRemoteFunction(java.lang.Object taglib, java.lang.Object attrs, java.lang.Object out)` Creates a remote function call
`java.lang.Object` | `prepareAjaxForm(java.lang.Object attrs)`

Method Detail

### doRemoteFunction

    java.lang.Object doRemoteFunction(java.lang.Object taglib, java.lang.Object attrs, java.lang.Object out)

  Creates a remote function call
  Parameters:
    `The` - attributes to use
    `The` - output to write to

### prepareAjaxForm

    java.lang.Object prepareAjaxForm(java.lang.Object attrs)

Groovy Documentation